HackerReposA FIELD GUIDE TO OPEN SOURCE
ProSponsor the shelf♧ 0
← Back to top all-time
diesel-rs
metrics
Observability2024–2024
diesel-rs / metrics

metrics

Discover this repository through its Hacker News conversations.

2Distinct people
2Mentions
0Explicit recommenders
121GitHub stars
REPOSITORY AT A GLANCE

What to know before exploring

What it is

A public description has not been verified.

Where it is used

No documented product use has been verified yet.

What people are saying

No recommendation phrase was found in the indexed comments.

No classified warning is attached to this page. Read the discussions before treating silence as approval.

Also in these discussions

No other repository is repeatedly linked in the same discussions.

This week on Hacker News

Nov 7–Nov 14 UTC · Direct repository links and separately labeled related project stories. Indexed through 11/14/2026, 5:04:57 PM UTC.

No direct repository links were found in the indexed HN discussions over the past seven days. Older discussions are available below.

Mentions over time

HN mentions by week2 dated mentions

Observed mentions: 2024-08-20 13:00:45 UTC to 2024-09-22 22:41:48 UTC. Weeks start Monday, UTC.

012024-08-19 00:00:00 UTC to 2024-08-26 00:00:00 UTC (exclusive): 1 mentions; 0 submissions, 1 commentsAug 192024-08-26 00:00:00 UTC to 2024-09-02 00:00:00 UTC (exclusive): 0 mentions; 0 submissions, 0 comments2024-09-02 00:00:00 UTC to 2024-09-09 00:00:00 UTC (exclusive): 0 mentions; 0 submissions, 0 commentsSep 22024-09-09 00:00:00 UTC to 2024-09-16 00:00:00 UTC (exclusive): 0 mentions; 0 submissions, 0 comments2024-09-16 00:00:00 UTC to 2024-09-23 00:00:00 UTC (exclusive): 1 mentions; 0 submissions, 1 commentsSep 16

Counts come from the repository’s dated source evidence. Index cutoff: 2026-11-02 08:16:59 UTC.

View mention counts and date ranges
UTC ranges include their start and exclude their end. Select a period to filter the source evidence.
PeriodStart (UTC)End (exclusive, UTC)MentionsSubmissionsComments
Aug 192024-08-19 00:00:00 UTC2024-08-26 00:00:00 UTC101
Aug 262024-08-26 00:00:00 UTC2024-09-02 00:00:00 UTC000
Sep 22024-09-02 00:00:00 UTC2024-09-09 00:00:00 UTC000
Sep 92024-09-09 00:00:00 UTC2024-09-16 00:00:00 UTC000
Sep 162024-09-16 00:00:00 UTC2024-09-23 00:00:00 UTC101

What Hacker News says

2 sources
> sqlx — a compile time, type safe SQL wrapper that runs your queries against a real DB SQLx seems like end game stuff at first glance, but after trying it out for a while I eventually decided that it wasn't for me. Writing dynamic/conditional queries just sucks and there isn't any good solution. On the DX side, completion, formatting/linting, highlighting is also non-existent (at least on VS Code). I eventually settled on [Diesel][0] (a query builder-ish ORM) and I'm loving it so far. Its [performance][1] crushes every other SQL libraries, including SQLx (very counter-intuitive, huh?). It's technically an ORM, but the query builder is very flexible and you can also extend it with your own traits. It got its warts, but it's the most tolerable SQL rust library I've found so far. [0]: https://diesel.rs [1]: https://github.com/diesel-rs/metr
Read the rest
In One Year of Rust in Production
`wtx` is, among other things, a RFC6455, RFC7541, RFC7692 and RFC9113 implementation written in Rust intended to allow the development of web applications through a built-in server framework, a built-in `PostgreSQL` connector, a built-in `WebSocket` handler and a built-in `gRPC` manager. There is also a built-in API client framework that facilitates the maintainability of large endpoints. Here goes a list of related benchmarks: https://c410-f3r.github.io/wtx-bench, https://i.imgur.com/Iv2WzJV.jpg, https://github.com/diesel-rs/metrics, https://i.imgur.com/vf2tYxY.jpg. If you know of any other set of web benchmarks, please let me know.
In WTX: New Web Framework Written in Rust

MAKE YOURSELF AT HOME

A few shortcuts

/
Search the collection
?
Open this guide
Esc
Close dialogs and navigation

Your saved repositories and interests stay in this browser.